Subject: bug#32989: closed (Re: bug#32989: 26.1; Opening PDF attachments in Gnus with doc-view-mode causes error on Windows)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 Nov 2018 08:33:02 +0000

Your bug report

#32989: 26.1; Opening PDF attachments in Gnus with doc-view-mode causes error on Windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32989: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32989
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32989: 26.1; Opening PDF attachments in Gnus with doc-view-mode causes error on Windows
From: Eli Zaretskii <[email-masked]>
To: Jordan Wilson <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Nov 2018 10:32:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Jordan Wilson <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 10 Oct 2018 11:45:57 +0100
> 
> 
> [1:text/plain Hide]
> 
> On 2018-10-08 (Mon) at 23:02 (ZZZ), Eli Zaretskii <[email-masked]> wrote:
> >> From: Jordan Wilson <[email-masked]>
> >> Date: Mon, 08 Oct 2018 15:44:55 +0100
> >> 
> >>   File error: "Opening output file", "Invalid argument", "c:/Users/Jordan/Emacs/.cache/docview-cache/ *mm*-012345" 
> >> 
> >> this leaves a buffer showing the file literally. If I rename that buffer
> >> to something not containing an asterisk, it displays fine when running
> >> "doc-view-mode". Windows apparently can't handle asterisks in
> >> directory/file names.
> >
> > Windows doesn't allow '*' (and a few other characters) in any file
> > name, not just in directory name.  Gnus should run the file name
> > through convert-standard-filename to get something that is guaranteed
> > to work on any filesystem.
> Looking, it seems to be on doc-view's side -- if a buffer isn't
> associated with a file, it uses the buffer name for the file's cache
> directory. Here's a patch to the 26 and trunk branches of doc-view.el to
> run the file names through `convert-standard-filename'. It fixes the
> problem for me, at least.

Thanks, pushed to the emacs-26 branch (will be merged to master from
there shortly).

Subject: 26.1; Opening PDF attachments in Gnus with doc-view-mode causes error on Windows
From: Jordan Wilson <[email-masked]>
To: [email-masked]
Date: Mon, 08 Oct 2018 15:44:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm running Emacs 26.1 on Windows 10. I've replicated this with "emacs -Q"

In a gnus article buffer, opening a PDF attachment in doc-view causes
doc-view to fail with the error:
  File error: "Opening output file", "Invalid argument", "c:/Users/Jordan/Emacs/.cache/docview-cache/ *mm*-012345" 

this leaves a buffer showing the file literally. If I rename that buffer
to something not containing an asterisk, it displays fine when running
"doc-view-mode". Windows apparently can't handle asterisks in
directory/file names.

Thanks

In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)
 of 2018-05-29 built on TPW550S
Windowing system distributor 'Microsoft Corp.', version 10.0.17134

Configured using:
 'configure --without-compress-install --without-dbus --with-modules
 'CFLAGS= -O2 -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND NOTIFY ACL GNUTLS LIBXML2
ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS LCMS2

Important settings:
  value of $LANG: ENG
  locale-coding-system: cp1252

-- 
Jordan Wilson
    Sent from Gnus v5.13, GNU Emacs 26.1